package com.mortals.xhx.module.attendance.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.attendance.model.AttendanceVacationBalanceEntity;
/**
 * 员工假期余额信息查询对象
 *
 * @author zxfei
 * @date 2023-04-11
 */
public class AttendanceVacationBalanceQuery extends AttendanceVacationBalanceEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 员工id */
    private Long staffIdStart;

    /** 结束 员工id */
    private Long staffIdEnd;

    /** 增加 员工id */
    private Long staffIdIncrement;

    /** 员工id列表 */
    private List <Long> staffIdList;

    /** 员工id排除列表 */
    private List <Long> staffIdNotList;

    /** 员工姓名 */
    private List<String> staffNameList;

    /** 员工姓名排除列表 */
    private List <String> staffNameNotList;
    /** 开始 部门id */
    private Long deptIdStart;

    /** 结束 部门id */
    private Long deptIdEnd;

    /** 增加 部门id */
    private Long deptIdIncrement;

    /** 部门id列表 */
    private List <Long> deptIdList;

    /** 部门id排除列表 */
    private List <Long> deptIdNotList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 入职时间 */
    private String entryTimeStart;

    /** 结束 入职时间 */
    private String entryTimeEnd;

    /** 开始 事假（天） */
    private BigDecimal personalLeaveDaysStart;

    /** 结束 事假（天） */
    private BigDecimal personalLeaveDaysEnd;

    /** 增加 事假（天） */
    private BigDecimal personalLeaveDaysIncrement;

    /** 事假（天）列表 */
    private List <BigDecimal> personalLeaveDaysList;

    /** 事假（天）排除列表 */
    private List <BigDecimal> personalLeaveDaysNotList;

    /** 开始 调休（天） */
    private BigDecimal compensatedLeaveDaysStart;

    /** 结束 调休（天） */
    private BigDecimal compensatedLeaveDaysEnd;

    /** 增加 调休（天） */
    private BigDecimal compensatedLeaveDaysIncrement;

    /** 调休（天）列表 */
    private List <BigDecimal> compensatedLeaveDaysList;

    /** 调休（天）排除列表 */
    private List <BigDecimal> compensatedLeaveDaysNotList;

    /** 开始 病假（天） */
    private BigDecimal sickLeaveDaysStart;

    /** 结束 病假（天） */
    private BigDecimal sickLeaveDaysEnd;

    /** 增加 病假（天） */
    private BigDecimal sickLeaveDaysIncrement;

    /** 病假（天）列表 */
    private List <BigDecimal> sickLeaveDaysList;

    /** 病假（天）排除列表 */
    private List <BigDecimal> sickLeaveDaysNotList;

    /** 开始 年假（天） */
    private BigDecimal annualLeaveDaysStart;

    /** 结束 年假（天） */
    private BigDecimal annualLeaveDaysEnd;

    /** 增加 年假（天） */
    private BigDecimal annualLeaveDaysIncrement;

    /** 年假（天）列表 */
    private List <BigDecimal> annualLeaveDaysList;

    /** 年假（天）排除列表 */
    private List <BigDecimal> annualLeaveDaysNotList;

    /** 开始 产假（天） */
    private BigDecimal maternityLeaveDaysStart;

    /** 结束 产假（天） */
    private BigDecimal maternityLeaveDaysEnd;

    /** 增加 产假（天） */
    private BigDecimal maternityLeaveDaysIncrement;

    /** 产假（天）列表 */
    private List <BigDecimal> maternityLeaveDaysList;

    /** 产假（天）排除列表 */
    private List <BigDecimal> maternityLeaveDaysNotList;

    /** 开始 陪产假（天） */
    private BigDecimal paternityLeaveDaysStart;

    /** 结束 陪产假（天） */
    private BigDecimal paternityLeaveDaysEnd;

    /** 增加 陪产假（天） */
    private BigDecimal paternityLeaveDaysIncrement;

    /** 陪产假（天）列表 */
    private List <BigDecimal> paternityLeaveDaysList;

    /** 陪产假（天）排除列表 */
    private List <BigDecimal> paternityLeaveDaysNotList;

    /** 开始 婚假（天） */
    private BigDecimal marriageLeaveDaysStart;

    /** 结束 婚假（天） */
    private BigDecimal marriageLeaveDaysEnd;

    /** 增加 婚假（天） */
    private BigDecimal marriageLeaveDaysIncrement;

    /** 婚假（天）列表 */
    private List <BigDecimal> marriageLeaveDaysList;

    /** 婚假（天）排除列表 */
    private List <BigDecimal> marriageLeaveDaysNotList;

    /** 开始 例假（天） */
    private BigDecimal menstrualLeaveDaysStart;

    /** 结束 例假（天） */
    private BigDecimal menstrualLeaveDaysEnd;

    /** 增加 例假（天） */
    private BigDecimal menstrualLeaveDaysIncrement;

    /** 例假（天）列表 */
    private List <BigDecimal> menstrualLeaveDaysList;

    /** 例假（天）排除列表 */
    private List <BigDecimal> menstrualLeaveDaysNotList;

    /** 开始 哺乳假（天） */
    private BigDecimal breastfeedingLeaveDaysStart;

    /** 结束 哺乳假（天） */
    private BigDecimal breastfeedingLeaveDaysEnd;

    /** 增加 哺乳假（天） */
    private BigDecimal breastfeedingLeaveDaysIncrement;

    /** 哺乳假（天）列表 */
    private List <BigDecimal> breastfeedingLeaveDaysList;

    /** 哺乳假（天）排除列表 */
    private List <BigDecimal> breastfeedingLeaveDaysNotList;

    /** 开始 丧假（天） */
    private BigDecimal bereavementLeaveDaysStart;

    /** 结束 丧假（天） */
    private BigDecimal bereavementLeaveDaysEnd;

    /** 增加 丧假（天） */
    private BigDecimal bereavementLeaveDaysIncrement;

    /** 丧假（天）列表 */
    private List <BigDecimal> bereavementLeaveDaysList;

    /** 丧假（天）排除列表 */
    private List <BigDecimal> bereavementLeaveDaysNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AttendanceVacationBalanceQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AttendanceVacationBalanceQuery> andConditionList;

    public AttendanceVacationBalanceQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 员工id
     * @return staffIdStart
     */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
     * 设置 开始 员工id
     * @param staffIdStart
     */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
     * 获取 结束 员工id
     * @return $staffIdEnd
     */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
     * 设置 结束 员工id
     * @param staffIdEnd
     */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
     * 获取 增加 员工id
     * @return staffIdIncrement
     */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
     * 设置 增加 员工id
     * @param staffIdIncrement
     */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
     * 获取 员工id
     * @return staffIdList
     */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
     * 设置 员工id
     * @param staffIdList
     */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
     * 获取 员工id
     * @return staffIdNotList
     */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
     * 设置 员工id
     * @param staffIdNotList
     */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
     * 获取 员工姓名
     * @return staffNameList
     */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
     * 设置 员工姓名
     * @param staffNameList
     */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
     * 获取 员工姓名
     * @return staffNameNotList
     */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
     * 设置 员工姓名
     * @param staffNameNotList
     */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
     * 获取 开始 部门id
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 部门id
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 部门id
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 部门id
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 部门id
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 部门id
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 部门id
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 部门id
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 部门id
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 部门id
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 开始 入职时间
     * @return entryTimeStart
     */
    public String getEntryTimeStart(){
        return this.entryTimeStart;
    }

    /**
     * 设置 开始 入职时间
     * @param entryTimeStart
     */
    public void setEntryTimeStart(String entryTimeStart){
        this.entryTimeStart = entryTimeStart;
    }

    /**
     * 获取 结束 入职时间
     * @return entryTimeEnd
     */
    public String getEntryTimeEnd(){
        return this.entryTimeEnd;
    }

    /**
     * 设置 结束 入职时间
     * @param entryTimeEnd
     */
    public void setEntryTimeEnd(String entryTimeEnd){
        this.entryTimeEnd = entryTimeEnd;
    }

    /**
     * 获取 开始 事假（天）
     * @return personalLeaveDaysStart
     */
    public BigDecimal getPersonalLeaveDaysStart(){
        return this.personalLeaveDaysStart;
    }

    /**
     * 设置 开始 事假（天）
     * @param personalLeaveDaysStart
     */
    public void setPersonalLeaveDaysStart(BigDecimal personalLeaveDaysStart){
        this.personalLeaveDaysStart = personalLeaveDaysStart;
    }

    /**
     * 获取 结束 事假（天）
     * @return $personalLeaveDaysEnd
     */
    public BigDecimal getPersonalLeaveDaysEnd(){
        return this.personalLeaveDaysEnd;
    }

    /**
     * 设置 结束 事假（天）
     * @param personalLeaveDaysEnd
     */
    public void setPersonalLeaveDaysEnd(BigDecimal personalLeaveDaysEnd){
        this.personalLeaveDaysEnd = personalLeaveDaysEnd;
    }

    /**
     * 获取 增加 事假（天）
     * @return personalLeaveDaysIncrement
     */
    public BigDecimal getPersonalLeaveDaysIncrement(){
        return this.personalLeaveDaysIncrement;
    }

    /**
     * 设置 增加 事假（天）
     * @param personalLeaveDaysIncrement
     */
    public void setPersonalLeaveDaysIncrement(BigDecimal personalLeaveDaysIncrement){
        this.personalLeaveDaysIncrement = personalLeaveDaysIncrement;
    }

    /**
     * 获取 事假（天）
     * @return personalLeaveDaysList
     */
    public List<BigDecimal> getPersonalLeaveDaysList(){
        return this.personalLeaveDaysList;
    }

    /**
     * 设置 事假（天）
     * @param personalLeaveDaysList
     */
    public void setPersonalLeaveDaysList(List<BigDecimal> personalLeaveDaysList){
        this.personalLeaveDaysList = personalLeaveDaysList;
    }

    /**
     * 获取 事假（天）
     * @return personalLeaveDaysNotList
     */
    public List<BigDecimal> getPersonalLeaveDaysNotList(){
        return this.personalLeaveDaysNotList;
    }

    /**
     * 设置 事假（天）
     * @param personalLeaveDaysNotList
     */
    public void setPersonalLeaveDaysNotList(List<BigDecimal> personalLeaveDaysNotList){
        this.personalLeaveDaysNotList = personalLeaveDaysNotList;
    }


    /**
     * 获取 开始 调休（天）
     * @return compensatedLeaveDaysStart
     */
    public BigDecimal getCompensatedLeaveDaysStart(){
        return this.compensatedLeaveDaysStart;
    }

    /**
     * 设置 开始 调休（天）
     * @param compensatedLeaveDaysStart
     */
    public void setCompensatedLeaveDaysStart(BigDecimal compensatedLeaveDaysStart){
        this.compensatedLeaveDaysStart = compensatedLeaveDaysStart;
    }

    /**
     * 获取 结束 调休（天）
     * @return $compensatedLeaveDaysEnd
     */
    public BigDecimal getCompensatedLeaveDaysEnd(){
        return this.compensatedLeaveDaysEnd;
    }

    /**
     * 设置 结束 调休（天）
     * @param compensatedLeaveDaysEnd
     */
    public void setCompensatedLeaveDaysEnd(BigDecimal compensatedLeaveDaysEnd){
        this.compensatedLeaveDaysEnd = compensatedLeaveDaysEnd;
    }

    /**
     * 获取 增加 调休（天）
     * @return compensatedLeaveDaysIncrement
     */
    public BigDecimal getCompensatedLeaveDaysIncrement(){
        return this.compensatedLeaveDaysIncrement;
    }

    /**
     * 设置 增加 调休（天）
     * @param compensatedLeaveDaysIncrement
     */
    public void setCompensatedLeaveDaysIncrement(BigDecimal compensatedLeaveDaysIncrement){
        this.compensatedLeaveDaysIncrement = compensatedLeaveDaysIncrement;
    }

    /**
     * 获取 调休（天）
     * @return compensatedLeaveDaysList
     */
    public List<BigDecimal> getCompensatedLeaveDaysList(){
        return this.compensatedLeaveDaysList;
    }

    /**
     * 设置 调休（天）
     * @param compensatedLeaveDaysList
     */
    public void setCompensatedLeaveDaysList(List<BigDecimal> compensatedLeaveDaysList){
        this.compensatedLeaveDaysList = compensatedLeaveDaysList;
    }

    /**
     * 获取 调休（天）
     * @return compensatedLeaveDaysNotList
     */
    public List<BigDecimal> getCompensatedLeaveDaysNotList(){
        return this.compensatedLeaveDaysNotList;
    }

    /**
     * 设置 调休（天）
     * @param compensatedLeaveDaysNotList
     */
    public void setCompensatedLeaveDaysNotList(List<BigDecimal> compensatedLeaveDaysNotList){
        this.compensatedLeaveDaysNotList = compensatedLeaveDaysNotList;
    }


    /**
     * 获取 开始 病假（天）
     * @return sickLeaveDaysStart
     */
    public BigDecimal getSickLeaveDaysStart(){
        return this.sickLeaveDaysStart;
    }

    /**
     * 设置 开始 病假（天）
     * @param sickLeaveDaysStart
     */
    public void setSickLeaveDaysStart(BigDecimal sickLeaveDaysStart){
        this.sickLeaveDaysStart = sickLeaveDaysStart;
    }

    /**
     * 获取 结束 病假（天）
     * @return $sickLeaveDaysEnd
     */
    public BigDecimal getSickLeaveDaysEnd(){
        return this.sickLeaveDaysEnd;
    }

    /**
     * 设置 结束 病假（天）
     * @param sickLeaveDaysEnd
     */
    public void setSickLeaveDaysEnd(BigDecimal sickLeaveDaysEnd){
        this.sickLeaveDaysEnd = sickLeaveDaysEnd;
    }

    /**
     * 获取 增加 病假（天）
     * @return sickLeaveDaysIncrement
     */
    public BigDecimal getSickLeaveDaysIncrement(){
        return this.sickLeaveDaysIncrement;
    }

    /**
     * 设置 增加 病假（天）
     * @param sickLeaveDaysIncrement
     */
    public void setSickLeaveDaysIncrement(BigDecimal sickLeaveDaysIncrement){
        this.sickLeaveDaysIncrement = sickLeaveDaysIncrement;
    }

    /**
     * 获取 病假（天）
     * @return sickLeaveDaysList
     */
    public List<BigDecimal> getSickLeaveDaysList(){
        return this.sickLeaveDaysList;
    }

    /**
     * 设置 病假（天）
     * @param sickLeaveDaysList
     */
    public void setSickLeaveDaysList(List<BigDecimal> sickLeaveDaysList){
        this.sickLeaveDaysList = sickLeaveDaysList;
    }

    /**
     * 获取 病假（天）
     * @return sickLeaveDaysNotList
     */
    public List<BigDecimal> getSickLeaveDaysNotList(){
        return this.sickLeaveDaysNotList;
    }

    /**
     * 设置 病假（天）
     * @param sickLeaveDaysNotList
     */
    public void setSickLeaveDaysNotList(List<BigDecimal> sickLeaveDaysNotList){
        this.sickLeaveDaysNotList = sickLeaveDaysNotList;
    }


    /**
     * 获取 开始 年假（天）
     * @return annualLeaveDaysStart
     */
    public BigDecimal getAnnualLeaveDaysStart(){
        return this.annualLeaveDaysStart;
    }

    /**
     * 设置 开始 年假（天）
     * @param annualLeaveDaysStart
     */
    public void setAnnualLeaveDaysStart(BigDecimal annualLeaveDaysStart){
        this.annualLeaveDaysStart = annualLeaveDaysStart;
    }

    /**
     * 获取 结束 年假（天）
     * @return $annualLeaveDaysEnd
     */
    public BigDecimal getAnnualLeaveDaysEnd(){
        return this.annualLeaveDaysEnd;
    }

    /**
     * 设置 结束 年假（天）
     * @param annualLeaveDaysEnd
     */
    public void setAnnualLeaveDaysEnd(BigDecimal annualLeaveDaysEnd){
        this.annualLeaveDaysEnd = annualLeaveDaysEnd;
    }

    /**
     * 获取 增加 年假（天）
     * @return annualLeaveDaysIncrement
     */
    public BigDecimal getAnnualLeaveDaysIncrement(){
        return this.annualLeaveDaysIncrement;
    }

    /**
     * 设置 增加 年假（天）
     * @param annualLeaveDaysIncrement
     */
    public void setAnnualLeaveDaysIncrement(BigDecimal annualLeaveDaysIncrement){
        this.annualLeaveDaysIncrement = annualLeaveDaysIncrement;
    }

    /**
     * 获取 年假（天）
     * @return annualLeaveDaysList
     */
    public List<BigDecimal> getAnnualLeaveDaysList(){
        return this.annualLeaveDaysList;
    }

    /**
     * 设置 年假（天）
     * @param annualLeaveDaysList
     */
    public void setAnnualLeaveDaysList(List<BigDecimal> annualLeaveDaysList){
        this.annualLeaveDaysList = annualLeaveDaysList;
    }

    /**
     * 获取 年假（天）
     * @return annualLeaveDaysNotList
     */
    public List<BigDecimal> getAnnualLeaveDaysNotList(){
        return this.annualLeaveDaysNotList;
    }

    /**
     * 设置 年假（天）
     * @param annualLeaveDaysNotList
     */
    public void setAnnualLeaveDaysNotList(List<BigDecimal> annualLeaveDaysNotList){
        this.annualLeaveDaysNotList = annualLeaveDaysNotList;
    }


    /**
     * 获取 开始 产假（天）
     * @return maternityLeaveDaysStart
     */
    public BigDecimal getMaternityLeaveDaysStart(){
        return this.maternityLeaveDaysStart;
    }

    /**
     * 设置 开始 产假（天）
     * @param maternityLeaveDaysStart
     */
    public void setMaternityLeaveDaysStart(BigDecimal maternityLeaveDaysStart){
        this.maternityLeaveDaysStart = maternityLeaveDaysStart;
    }

    /**
     * 获取 结束 产假（天）
     * @return $maternityLeaveDaysEnd
     */
    public BigDecimal getMaternityLeaveDaysEnd(){
        return this.maternityLeaveDaysEnd;
    }

    /**
     * 设置 结束 产假（天）
     * @param maternityLeaveDaysEnd
     */
    public void setMaternityLeaveDaysEnd(BigDecimal maternityLeaveDaysEnd){
        this.maternityLeaveDaysEnd = maternityLeaveDaysEnd;
    }

    /**
     * 获取 增加 产假（天）
     * @return maternityLeaveDaysIncrement
     */
    public BigDecimal getMaternityLeaveDaysIncrement(){
        return this.maternityLeaveDaysIncrement;
    }

    /**
     * 设置 增加 产假（天）
     * @param maternityLeaveDaysIncrement
     */
    public void setMaternityLeaveDaysIncrement(BigDecimal maternityLeaveDaysIncrement){
        this.maternityLeaveDaysIncrement = maternityLeaveDaysIncrement;
    }

    /**
     * 获取 产假（天）
     * @return maternityLeaveDaysList
     */
    public List<BigDecimal> getMaternityLeaveDaysList(){
        return this.maternityLeaveDaysList;
    }

    /**
     * 设置 产假（天）
     * @param maternityLeaveDaysList
     */
    public void setMaternityLeaveDaysList(List<BigDecimal> maternityLeaveDaysList){
        this.maternityLeaveDaysList = maternityLeaveDaysList;
    }

    /**
     * 获取 产假（天）
     * @return maternityLeaveDaysNotList
     */
    public List<BigDecimal> getMaternityLeaveDaysNotList(){
        return this.maternityLeaveDaysNotList;
    }

    /**
     * 设置 产假（天）
     * @param maternityLeaveDaysNotList
     */
    public void setMaternityLeaveDaysNotList(List<BigDecimal> maternityLeaveDaysNotList){
        this.maternityLeaveDaysNotList = maternityLeaveDaysNotList;
    }


    /**
     * 获取 开始 陪产假（天）
     * @return paternityLeaveDaysStart
     */
    public BigDecimal getPaternityLeaveDaysStart(){
        return this.paternityLeaveDaysStart;
    }

    /**
     * 设置 开始 陪产假（天）
     * @param paternityLeaveDaysStart
     */
    public void setPaternityLeaveDaysStart(BigDecimal paternityLeaveDaysStart){
        this.paternityLeaveDaysStart = paternityLeaveDaysStart;
    }

    /**
     * 获取 结束 陪产假（天）
     * @return $paternityLeaveDaysEnd
     */
    public BigDecimal getPaternityLeaveDaysEnd(){
        return this.paternityLeaveDaysEnd;
    }

    /**
     * 设置 结束 陪产假（天）
     * @param paternityLeaveDaysEnd
     */
    public void setPaternityLeaveDaysEnd(BigDecimal paternityLeaveDaysEnd){
        this.paternityLeaveDaysEnd = paternityLeaveDaysEnd;
    }

    /**
     * 获取 增加 陪产假（天）
     * @return paternityLeaveDaysIncrement
     */
    public BigDecimal getPaternityLeaveDaysIncrement(){
        return this.paternityLeaveDaysIncrement;
    }

    /**
     * 设置 增加 陪产假（天）
     * @param paternityLeaveDaysIncrement
     */
    public void setPaternityLeaveDaysIncrement(BigDecimal paternityLeaveDaysIncrement){
        this.paternityLeaveDaysIncrement = paternityLeaveDaysIncrement;
    }

    /**
     * 获取 陪产假（天）
     * @return paternityLeaveDaysList
     */
    public List<BigDecimal> getPaternityLeaveDaysList(){
        return this.paternityLeaveDaysList;
    }

    /**
     * 设置 陪产假（天）
     * @param paternityLeaveDaysList
     */
    public void setPaternityLeaveDaysList(List<BigDecimal> paternityLeaveDaysList){
        this.paternityLeaveDaysList = paternityLeaveDaysList;
    }

    /**
     * 获取 陪产假（天）
     * @return paternityLeaveDaysNotList
     */
    public List<BigDecimal> getPaternityLeaveDaysNotList(){
        return this.paternityLeaveDaysNotList;
    }

    /**
     * 设置 陪产假（天）
     * @param paternityLeaveDaysNotList
     */
    public void setPaternityLeaveDaysNotList(List<BigDecimal> paternityLeaveDaysNotList){
        this.paternityLeaveDaysNotList = paternityLeaveDaysNotList;
    }


    /**
     * 获取 开始 婚假（天）
     * @return marriageLeaveDaysStart
     */
    public BigDecimal getMarriageLeaveDaysStart(){
        return this.marriageLeaveDaysStart;
    }

    /**
     * 设置 开始 婚假（天）
     * @param marriageLeaveDaysStart
     */
    public void setMarriageLeaveDaysStart(BigDecimal marriageLeaveDaysStart){
        this.marriageLeaveDaysStart = marriageLeaveDaysStart;
    }

    /**
     * 获取 结束 婚假（天）
     * @return $marriageLeaveDaysEnd
     */
    public BigDecimal getMarriageLeaveDaysEnd(){
        return this.marriageLeaveDaysEnd;
    }

    /**
     * 设置 结束 婚假（天）
     * @param marriageLeaveDaysEnd
     */
    public void setMarriageLeaveDaysEnd(BigDecimal marriageLeaveDaysEnd){
        this.marriageLeaveDaysEnd = marriageLeaveDaysEnd;
    }

    /**
     * 获取 增加 婚假（天）
     * @return marriageLeaveDaysIncrement
     */
    public BigDecimal getMarriageLeaveDaysIncrement(){
        return this.marriageLeaveDaysIncrement;
    }

    /**
     * 设置 增加 婚假（天）
     * @param marriageLeaveDaysIncrement
     */
    public void setMarriageLeaveDaysIncrement(BigDecimal marriageLeaveDaysIncrement){
        this.marriageLeaveDaysIncrement = marriageLeaveDaysIncrement;
    }

    /**
     * 获取 婚假（天）
     * @return marriageLeaveDaysList
     */
    public List<BigDecimal> getMarriageLeaveDaysList(){
        return this.marriageLeaveDaysList;
    }

    /**
     * 设置 婚假（天）
     * @param marriageLeaveDaysList
     */
    public void setMarriageLeaveDaysList(List<BigDecimal> marriageLeaveDaysList){
        this.marriageLeaveDaysList = marriageLeaveDaysList;
    }

    /**
     * 获取 婚假（天）
     * @return marriageLeaveDaysNotList
     */
    public List<BigDecimal> getMarriageLeaveDaysNotList(){
        return this.marriageLeaveDaysNotList;
    }

    /**
     * 设置 婚假（天）
     * @param marriageLeaveDaysNotList
     */
    public void setMarriageLeaveDaysNotList(List<BigDecimal> marriageLeaveDaysNotList){
        this.marriageLeaveDaysNotList = marriageLeaveDaysNotList;
    }


    /**
     * 获取 开始 例假（天）
     * @return menstrualLeaveDaysStart
     */
    public BigDecimal getMenstrualLeaveDaysStart(){
        return this.menstrualLeaveDaysStart;
    }

    /**
     * 设置 开始 例假（天）
     * @param menstrualLeaveDaysStart
     */
    public void setMenstrualLeaveDaysStart(BigDecimal menstrualLeaveDaysStart){
        this.menstrualLeaveDaysStart = menstrualLeaveDaysStart;
    }

    /**
     * 获取 结束 例假（天）
     * @return $menstrualLeaveDaysEnd
     */
    public BigDecimal getMenstrualLeaveDaysEnd(){
        return this.menstrualLeaveDaysEnd;
    }

    /**
     * 设置 结束 例假（天）
     * @param menstrualLeaveDaysEnd
     */
    public void setMenstrualLeaveDaysEnd(BigDecimal menstrualLeaveDaysEnd){
        this.menstrualLeaveDaysEnd = menstrualLeaveDaysEnd;
    }

    /**
     * 获取 增加 例假（天）
     * @return menstrualLeaveDaysIncrement
     */
    public BigDecimal getMenstrualLeaveDaysIncrement(){
        return this.menstrualLeaveDaysIncrement;
    }

    /**
     * 设置 增加 例假（天）
     * @param menstrualLeaveDaysIncrement
     */
    public void setMenstrualLeaveDaysIncrement(BigDecimal menstrualLeaveDaysIncrement){
        this.menstrualLeaveDaysIncrement = menstrualLeaveDaysIncrement;
    }

    /**
     * 获取 例假（天）
     * @return menstrualLeaveDaysList
     */
    public List<BigDecimal> getMenstrualLeaveDaysList(){
        return this.menstrualLeaveDaysList;
    }

    /**
     * 设置 例假（天）
     * @param menstrualLeaveDaysList
     */
    public void setMenstrualLeaveDaysList(List<BigDecimal> menstrualLeaveDaysList){
        this.menstrualLeaveDaysList = menstrualLeaveDaysList;
    }

    /**
     * 获取 例假（天）
     * @return menstrualLeaveDaysNotList
     */
    public List<BigDecimal> getMenstrualLeaveDaysNotList(){
        return this.menstrualLeaveDaysNotList;
    }

    /**
     * 设置 例假（天）
     * @param menstrualLeaveDaysNotList
     */
    public void setMenstrualLeaveDaysNotList(List<BigDecimal> menstrualLeaveDaysNotList){
        this.menstrualLeaveDaysNotList = menstrualLeaveDaysNotList;
    }


    /**
     * 获取 开始 哺乳假（天）
     * @return breastfeedingLeaveDaysStart
     */
    public BigDecimal getBreastfeedingLeaveDaysStart(){
        return this.breastfeedingLeaveDaysStart;
    }

    /**
     * 设置 开始 哺乳假（天）
     * @param breastfeedingLeaveDaysStart
     */
    public void setBreastfeedingLeaveDaysStart(BigDecimal breastfeedingLeaveDaysStart){
        this.breastfeedingLeaveDaysStart = breastfeedingLeaveDaysStart;
    }

    /**
     * 获取 结束 哺乳假（天）
     * @return $breastfeedingLeaveDaysEnd
     */
    public BigDecimal getBreastfeedingLeaveDaysEnd(){
        return this.breastfeedingLeaveDaysEnd;
    }

    /**
     * 设置 结束 哺乳假（天）
     * @param breastfeedingLeaveDaysEnd
     */
    public void setBreastfeedingLeaveDaysEnd(BigDecimal breastfeedingLeaveDaysEnd){
        this.breastfeedingLeaveDaysEnd = breastfeedingLeaveDaysEnd;
    }

    /**
     * 获取 增加 哺乳假（天）
     * @return breastfeedingLeaveDaysIncrement
     */
    public BigDecimal getBreastfeedingLeaveDaysIncrement(){
        return this.breastfeedingLeaveDaysIncrement;
    }

    /**
     * 设置 增加 哺乳假（天）
     * @param breastfeedingLeaveDaysIncrement
     */
    public void setBreastfeedingLeaveDaysIncrement(BigDecimal breastfeedingLeaveDaysIncrement){
        this.breastfeedingLeaveDaysIncrement = breastfeedingLeaveDaysIncrement;
    }

    /**
     * 获取 哺乳假（天）
     * @return breastfeedingLeaveDaysList
     */
    public List<BigDecimal> getBreastfeedingLeaveDaysList(){
        return this.breastfeedingLeaveDaysList;
    }

    /**
     * 设置 哺乳假（天）
     * @param breastfeedingLeaveDaysList
     */
    public void setBreastfeedingLeaveDaysList(List<BigDecimal> breastfeedingLeaveDaysList){
        this.breastfeedingLeaveDaysList = breastfeedingLeaveDaysList;
    }

    /**
     * 获取 哺乳假（天）
     * @return breastfeedingLeaveDaysNotList
     */
    public List<BigDecimal> getBreastfeedingLeaveDaysNotList(){
        return this.breastfeedingLeaveDaysNotList;
    }

    /**
     * 设置 哺乳假（天）
     * @param breastfeedingLeaveDaysNotList
     */
    public void setBreastfeedingLeaveDaysNotList(List<BigDecimal> breastfeedingLeaveDaysNotList){
        this.breastfeedingLeaveDaysNotList = breastfeedingLeaveDaysNotList;
    }


    /**
     * 获取 开始 丧假（天）
     * @return bereavementLeaveDaysStart
     */
    public BigDecimal getBereavementLeaveDaysStart(){
        return this.bereavementLeaveDaysStart;
    }

    /**
     * 设置 开始 丧假（天）
     * @param bereavementLeaveDaysStart
     */
    public void setBereavementLeaveDaysStart(BigDecimal bereavementLeaveDaysStart){
        this.bereavementLeaveDaysStart = bereavementLeaveDaysStart;
    }

    /**
     * 获取 结束 丧假（天）
     * @return $bereavementLeaveDaysEnd
     */
    public BigDecimal getBereavementLeaveDaysEnd(){
        return this.bereavementLeaveDaysEnd;
    }

    /**
     * 设置 结束 丧假（天）
     * @param bereavementLeaveDaysEnd
     */
    public void setBereavementLeaveDaysEnd(BigDecimal bereavementLeaveDaysEnd){
        this.bereavementLeaveDaysEnd = bereavementLeaveDaysEnd;
    }

    /**
     * 获取 增加 丧假（天）
     * @return bereavementLeaveDaysIncrement
     */
    public BigDecimal getBereavementLeaveDaysIncrement(){
        return this.bereavementLeaveDaysIncrement;
    }

    /**
     * 设置 增加 丧假（天）
     * @param bereavementLeaveDaysIncrement
     */
    public void setBereavementLeaveDaysIncrement(BigDecimal bereavementLeaveDaysIncrement){
        this.bereavementLeaveDaysIncrement = bereavementLeaveDaysIncrement;
    }

    /**
     * 获取 丧假（天）
     * @return bereavementLeaveDaysList
     */
    public List<BigDecimal> getBereavementLeaveDaysList(){
        return this.bereavementLeaveDaysList;
    }

    /**
     * 设置 丧假（天）
     * @param bereavementLeaveDaysList
     */
    public void setBereavementLeaveDaysList(List<BigDecimal> bereavementLeaveDaysList){
        this.bereavementLeaveDaysList = bereavementLeaveDaysList;
    }

    /**
     * 获取 丧假（天）
     * @return bereavementLeaveDaysNotList
     */
    public List<BigDecimal> getBereavementLeaveDaysNotList(){
        return this.bereavementLeaveDaysNotList;
    }

    /**
     * 设置 丧假（天）
     * @param bereavementLeaveDaysNotList
     */
    public void setBereavementLeaveDaysNotList(List<BigDecimal> bereavementLeaveDaysNotList){
        this.bereavementLeaveDaysNotList = bereavementLeaveDaysNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public AttendanceVacationBalanceQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public AttendanceVacationBalanceQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public AttendanceVacationBalanceQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public AttendanceVacationBalanceQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public AttendanceVacationBalanceQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public AttendanceVacationBalanceQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  员工id
     * @param staffId
     */
    public AttendanceVacationBalanceQuery staffId(Long staffId){
        setStaffId(staffId);
        return this;
    }

    /**
     * 设置 开始 员工id
     * @param staffIdStart
     */
    public AttendanceVacationBalanceQuery staffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
        return this;
    }

    /**
     * 设置 结束 员工id
     * @param staffIdEnd
     */
    public AttendanceVacationBalanceQuery staffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
        return this;
    }

    /**
     * 设置 增加 员工id
     * @param staffIdIncrement
     */
    public AttendanceVacationBalanceQuery staffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
        return this;
    }

    /**
     * 设置 员工id
     * @param staffIdList
     */
    public AttendanceVacationBalanceQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
        return this;
    }

    /**
     * 设置 员工id
     * @param staffIdNotList
     */
    public AttendanceVacationBalanceQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
    }


    /**
     * 设置 员工姓名
     * @param staffName
     */
    public AttendanceVacationBalanceQuery staffName(String staffName){
        setStaffName(staffName);
        return this;
    }

    /**
     * 设置 员工姓名
     * @param staffNameList
     */
    public AttendanceVacationBalanceQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
        return this;
    }

    /**
     * 设置  部门id
     * @param deptId
     */
    public AttendanceVacationBalanceQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 部门id
     * @param deptIdStart
     */
    public AttendanceVacationBalanceQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 部门id
     * @param deptIdEnd
     */
    public AttendanceVacationBalanceQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 部门id
     * @param deptIdIncrement
     */
    public AttendanceVacationBalanceQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 部门id
     * @param deptIdList
     */
    public AttendanceVacationBalanceQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 部门id
     * @param deptIdNotList
     */
    public AttendanceVacationBalanceQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 部门名称
     * @param deptName
     */
    public AttendanceVacationBalanceQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public AttendanceVacationBalanceQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }


    /**
     * 设置  事假（天）
     * @param personalLeaveDays
     */
    public AttendanceVacationBalanceQuery personalLeaveDays(BigDecimal personalLeaveDays){
        setPersonalLeaveDays(personalLeaveDays);
        return this;
    }

    /**
     * 设置 开始 事假（天）
     * @param personalLeaveDaysStart
     */
    public AttendanceVacationBalanceQuery personalLeaveDaysStart(BigDecimal personalLeaveDaysStart){
        this.personalLeaveDaysStart = personalLeaveDaysStart;
        return this;
    }

    /**
     * 设置 结束 事假（天）
     * @param personalLeaveDaysEnd
     */
    public AttendanceVacationBalanceQuery personalLeaveDaysEnd(BigDecimal personalLeaveDaysEnd){
        this.personalLeaveDaysEnd = personalLeaveDaysEnd;
        return this;
    }

    /**
     * 设置 增加 事假（天）
     * @param personalLeaveDaysIncrement
     */
    public AttendanceVacationBalanceQuery personalLeaveDaysIncrement(BigDecimal personalLeaveDaysIncrement){
        this.personalLeaveDaysIncrement = personalLeaveDaysIncrement;
        return this;
    }

    /**
     * 设置 事假（天）
     * @param personalLeaveDaysList
     */
    public AttendanceVacationBalanceQuery personalLeaveDaysList(List<BigDecimal> personalLeaveDaysList){
        this.personalLeaveDaysList = personalLeaveDaysList;
        return this;
    }

    /**
     * 设置 事假（天）
     * @param personalLeaveDaysNotList
     */
    public AttendanceVacationBalanceQuery personalLeaveDaysNotList(List<BigDecimal> personalLeaveDaysNotList){
        this.personalLeaveDaysNotList = personalLeaveDaysNotList;
        return this;
    }

    /**
     * 设置  调休（天）
     * @param compensatedLeaveDays
     */
    public AttendanceVacationBalanceQuery compensatedLeaveDays(BigDecimal compensatedLeaveDays){
        setCompensatedLeaveDays(compensatedLeaveDays);
        return this;
    }

    /**
     * 设置 开始 调休（天）
     * @param compensatedLeaveDaysStart
     */
    public AttendanceVacationBalanceQuery compensatedLeaveDaysStart(BigDecimal compensatedLeaveDaysStart){
        this.compensatedLeaveDaysStart = compensatedLeaveDaysStart;
        return this;
    }

    /**
     * 设置 结束 调休（天）
     * @param compensatedLeaveDaysEnd
     */
    public AttendanceVacationBalanceQuery compensatedLeaveDaysEnd(BigDecimal compensatedLeaveDaysEnd){
        this.compensatedLeaveDaysEnd = compensatedLeaveDaysEnd;
        return this;
    }

    /**
     * 设置 增加 调休（天）
     * @param compensatedLeaveDaysIncrement
     */
    public AttendanceVacationBalanceQuery compensatedLeaveDaysIncrement(BigDecimal compensatedLeaveDaysIncrement){
        this.compensatedLeaveDaysIncrement = compensatedLeaveDaysIncrement;
        return this;
    }

    /**
     * 设置 调休（天）
     * @param compensatedLeaveDaysList
     */
    public AttendanceVacationBalanceQuery compensatedLeaveDaysList(List<BigDecimal> compensatedLeaveDaysList){
        this.compensatedLeaveDaysList = compensatedLeaveDaysList;
        return this;
    }

    /**
     * 设置 调休（天）
     * @param compensatedLeaveDaysNotList
     */
    public AttendanceVacationBalanceQuery compensatedLeaveDaysNotList(List<BigDecimal> compensatedLeaveDaysNotList){
        this.compensatedLeaveDaysNotList = compensatedLeaveDaysNotList;
        return this;
    }

    /**
     * 设置  病假（天）
     * @param sickLeaveDays
     */
    public AttendanceVacationBalanceQuery sickLeaveDays(BigDecimal sickLeaveDays){
        setSickLeaveDays(sickLeaveDays);
        return this;
    }

    /**
     * 设置 开始 病假（天）
     * @param sickLeaveDaysStart
     */
    public AttendanceVacationBalanceQuery sickLeaveDaysStart(BigDecimal sickLeaveDaysStart){
        this.sickLeaveDaysStart = sickLeaveDaysStart;
        return this;
    }

    /**
     * 设置 结束 病假（天）
     * @param sickLeaveDaysEnd
     */
    public AttendanceVacationBalanceQuery sickLeaveDaysEnd(BigDecimal sickLeaveDaysEnd){
        this.sickLeaveDaysEnd = sickLeaveDaysEnd;
        return this;
    }

    /**
     * 设置 增加 病假（天）
     * @param sickLeaveDaysIncrement
     */
    public AttendanceVacationBalanceQuery sickLeaveDaysIncrement(BigDecimal sickLeaveDaysIncrement){
        this.sickLeaveDaysIncrement = sickLeaveDaysIncrement;
        return this;
    }

    /**
     * 设置 病假（天）
     * @param sickLeaveDaysList
     */
    public AttendanceVacationBalanceQuery sickLeaveDaysList(List<BigDecimal> sickLeaveDaysList){
        this.sickLeaveDaysList = sickLeaveDaysList;
        return this;
    }

    /**
     * 设置 病假（天）
     * @param sickLeaveDaysNotList
     */
    public AttendanceVacationBalanceQuery sickLeaveDaysNotList(List<BigDecimal> sickLeaveDaysNotList){
        this.sickLeaveDaysNotList = sickLeaveDaysNotList;
        return this;
    }

    /**
     * 设置  年假（天）
     * @param annualLeaveDays
     */
    public AttendanceVacationBalanceQuery annualLeaveDays(BigDecimal annualLeaveDays){
        setAnnualLeaveDays(annualLeaveDays);
        return this;
    }

    /**
     * 设置 开始 年假（天）
     * @param annualLeaveDaysStart
     */
    public AttendanceVacationBalanceQuery annualLeaveDaysStart(BigDecimal annualLeaveDaysStart){
        this.annualLeaveDaysStart = annualLeaveDaysStart;
        return this;
    }

    /**
     * 设置 结束 年假（天）
     * @param annualLeaveDaysEnd
     */
    public AttendanceVacationBalanceQuery annualLeaveDaysEnd(BigDecimal annualLeaveDaysEnd){
        this.annualLeaveDaysEnd = annualLeaveDaysEnd;
        return this;
    }

    /**
     * 设置 增加 年假（天）
     * @param annualLeaveDaysIncrement
     */
    public AttendanceVacationBalanceQuery annualLeaveDaysIncrement(BigDecimal annualLeaveDaysIncrement){
        this.annualLeaveDaysIncrement = annualLeaveDaysIncrement;
        return this;
    }

    /**
     * 设置 年假（天）
     * @param annualLeaveDaysList
     */
    public AttendanceVacationBalanceQuery annualLeaveDaysList(List<BigDecimal> annualLeaveDaysList){
        this.annualLeaveDaysList = annualLeaveDaysList;
        return this;
    }

    /**
     * 设置 年假（天）
     * @param annualLeaveDaysNotList
     */
    public AttendanceVacationBalanceQuery annualLeaveDaysNotList(List<BigDecimal> annualLeaveDaysNotList){
        this.annualLeaveDaysNotList = annualLeaveDaysNotList;
        return this;
    }

    /**
     * 设置  产假（天）
     * @param maternityLeaveDays
     */
    public AttendanceVacationBalanceQuery maternityLeaveDays(BigDecimal maternityLeaveDays){
        setMaternityLeaveDays(maternityLeaveDays);
        return this;
    }

    /**
     * 设置 开始 产假（天）
     * @param maternityLeaveDaysStart
     */
    public AttendanceVacationBalanceQuery maternityLeaveDaysStart(BigDecimal maternityLeaveDaysStart){
        this.maternityLeaveDaysStart = maternityLeaveDaysStart;
        return this;
    }

    /**
     * 设置 结束 产假（天）
     * @param maternityLeaveDaysEnd
     */
    public AttendanceVacationBalanceQuery maternityLeaveDaysEnd(BigDecimal maternityLeaveDaysEnd){
        this.maternityLeaveDaysEnd = maternityLeaveDaysEnd;
        return this;
    }

    /**
     * 设置 增加 产假（天）
     * @param maternityLeaveDaysIncrement
     */
    public AttendanceVacationBalanceQuery maternityLeaveDaysIncrement(BigDecimal maternityLeaveDaysIncrement){
        this.maternityLeaveDaysIncrement = maternityLeaveDaysIncrement;
        return this;
    }

    /**
     * 设置 产假（天）
     * @param maternityLeaveDaysList
     */
    public AttendanceVacationBalanceQuery maternityLeaveDaysList(List<BigDecimal> maternityLeaveDaysList){
        this.maternityLeaveDaysList = maternityLeaveDaysList;
        return this;
    }

    /**
     * 设置 产假（天）
     * @param maternityLeaveDaysNotList
     */
    public AttendanceVacationBalanceQuery maternityLeaveDaysNotList(List<BigDecimal> maternityLeaveDaysNotList){
        this.maternityLeaveDaysNotList = maternityLeaveDaysNotList;
        return this;
    }

    /**
     * 设置  陪产假（天）
     * @param paternityLeaveDays
     */
    public AttendanceVacationBalanceQuery paternityLeaveDays(BigDecimal paternityLeaveDays){
        setPaternityLeaveDays(paternityLeaveDays);
        return this;
    }

    /**
     * 设置 开始 陪产假（天）
     * @param paternityLeaveDaysStart
     */
    public AttendanceVacationBalanceQuery paternityLeaveDaysStart(BigDecimal paternityLeaveDaysStart){
        this.paternityLeaveDaysStart = paternityLeaveDaysStart;
        return this;
    }

    /**
     * 设置 结束 陪产假（天）
     * @param paternityLeaveDaysEnd
     */
    public AttendanceVacationBalanceQuery paternityLeaveDaysEnd(BigDecimal paternityLeaveDaysEnd){
        this.paternityLeaveDaysEnd = paternityLeaveDaysEnd;
        return this;
    }

    /**
     * 设置 增加 陪产假（天）
     * @param paternityLeaveDaysIncrement
     */
    public AttendanceVacationBalanceQuery paternityLeaveDaysIncrement(BigDecimal paternityLeaveDaysIncrement){
        this.paternityLeaveDaysIncrement = paternityLeaveDaysIncrement;
        return this;
    }

    /**
     * 设置 陪产假（天）
     * @param paternityLeaveDaysList
     */
    public AttendanceVacationBalanceQuery paternityLeaveDaysList(List<BigDecimal> paternityLeaveDaysList){
        this.paternityLeaveDaysList = paternityLeaveDaysList;
        return this;
    }

    /**
     * 设置 陪产假（天）
     * @param paternityLeaveDaysNotList
     */
    public AttendanceVacationBalanceQuery paternityLeaveDaysNotList(List<BigDecimal> paternityLeaveDaysNotList){
        this.paternityLeaveDaysNotList = paternityLeaveDaysNotList;
        return this;
    }

    /**
     * 设置  婚假（天）
     * @param marriageLeaveDays
     */
    public AttendanceVacationBalanceQuery marriageLeaveDays(BigDecimal marriageLeaveDays){
        setMarriageLeaveDays(marriageLeaveDays);
        return this;
    }

    /**
     * 设置 开始 婚假（天）
     * @param marriageLeaveDaysStart
     */
    public AttendanceVacationBalanceQuery marriageLeaveDaysStart(BigDecimal marriageLeaveDaysStart){
        this.marriageLeaveDaysStart = marriageLeaveDaysStart;
        return this;
    }

    /**
     * 设置 结束 婚假（天）
     * @param marriageLeaveDaysEnd
     */
    public AttendanceVacationBalanceQuery marriageLeaveDaysEnd(BigDecimal marriageLeaveDaysEnd){
        this.marriageLeaveDaysEnd = marriageLeaveDaysEnd;
        return this;
    }

    /**
     * 设置 增加 婚假（天）
     * @param marriageLeaveDaysIncrement
     */
    public AttendanceVacationBalanceQuery marriageLeaveDaysIncrement(BigDecimal marriageLeaveDaysIncrement){
        this.marriageLeaveDaysIncrement = marriageLeaveDaysIncrement;
        return this;
    }

    /**
     * 设置 婚假（天）
     * @param marriageLeaveDaysList
     */
    public AttendanceVacationBalanceQuery marriageLeaveDaysList(List<BigDecimal> marriageLeaveDaysList){
        this.marriageLeaveDaysList = marriageLeaveDaysList;
        return this;
    }

    /**
     * 设置 婚假（天）
     * @param marriageLeaveDaysNotList
     */
    public AttendanceVacationBalanceQuery marriageLeaveDaysNotList(List<BigDecimal> marriageLeaveDaysNotList){
        this.marriageLeaveDaysNotList = marriageLeaveDaysNotList;
        return this;
    }

    /**
     * 设置  例假（天）
     * @param menstrualLeaveDays
     */
    public AttendanceVacationBalanceQuery menstrualLeaveDays(BigDecimal menstrualLeaveDays){
        setMenstrualLeaveDays(menstrualLeaveDays);
        return this;
    }

    /**
     * 设置 开始 例假（天）
     * @param menstrualLeaveDaysStart
     */
    public AttendanceVacationBalanceQuery menstrualLeaveDaysStart(BigDecimal menstrualLeaveDaysStart){
        this.menstrualLeaveDaysStart = menstrualLeaveDaysStart;
        return this;
    }

    /**
     * 设置 结束 例假（天）
     * @param menstrualLeaveDaysEnd
     */
    public AttendanceVacationBalanceQuery menstrualLeaveDaysEnd(BigDecimal menstrualLeaveDaysEnd){
        this.menstrualLeaveDaysEnd = menstrualLeaveDaysEnd;
        return this;
    }

    /**
     * 设置 增加 例假（天）
     * @param menstrualLeaveDaysIncrement
     */
    public AttendanceVacationBalanceQuery menstrualLeaveDaysIncrement(BigDecimal menstrualLeaveDaysIncrement){
        this.menstrualLeaveDaysIncrement = menstrualLeaveDaysIncrement;
        return this;
    }

    /**
     * 设置 例假（天）
     * @param menstrualLeaveDaysList
     */
    public AttendanceVacationBalanceQuery menstrualLeaveDaysList(List<BigDecimal> menstrualLeaveDaysList){
        this.menstrualLeaveDaysList = menstrualLeaveDaysList;
        return this;
    }

    /**
     * 设置 例假（天）
     * @param menstrualLeaveDaysNotList
     */
    public AttendanceVacationBalanceQuery menstrualLeaveDaysNotList(List<BigDecimal> menstrualLeaveDaysNotList){
        this.menstrualLeaveDaysNotList = menstrualLeaveDaysNotList;
        return this;
    }

    /**
     * 设置  哺乳假（天）
     * @param breastfeedingLeaveDays
     */
    public AttendanceVacationBalanceQuery breastfeedingLeaveDays(BigDecimal breastfeedingLeaveDays){
        setBreastfeedingLeaveDays(breastfeedingLeaveDays);
        return this;
    }

    /**
     * 设置 开始 哺乳假（天）
     * @param breastfeedingLeaveDaysStart
     */
    public AttendanceVacationBalanceQuery breastfeedingLeaveDaysStart(BigDecimal breastfeedingLeaveDaysStart){
        this.breastfeedingLeaveDaysStart = breastfeedingLeaveDaysStart;
        return this;
    }

    /**
     * 设置 结束 哺乳假（天）
     * @param breastfeedingLeaveDaysEnd
     */
    public AttendanceVacationBalanceQuery breastfeedingLeaveDaysEnd(BigDecimal breastfeedingLeaveDaysEnd){
        this.breastfeedingLeaveDaysEnd = breastfeedingLeaveDaysEnd;
        return this;
    }

    /**
     * 设置 增加 哺乳假（天）
     * @param breastfeedingLeaveDaysIncrement
     */
    public AttendanceVacationBalanceQuery breastfeedingLeaveDaysIncrement(BigDecimal breastfeedingLeaveDaysIncrement){
        this.breastfeedingLeaveDaysIncrement = breastfeedingLeaveDaysIncrement;
        return this;
    }

    /**
     * 设置 哺乳假（天）
     * @param breastfeedingLeaveDaysList
     */
    public AttendanceVacationBalanceQuery breastfeedingLeaveDaysList(List<BigDecimal> breastfeedingLeaveDaysList){
        this.breastfeedingLeaveDaysList = breastfeedingLeaveDaysList;
        return this;
    }

    /**
     * 设置 哺乳假（天）
     * @param breastfeedingLeaveDaysNotList
     */
    public AttendanceVacationBalanceQuery breastfeedingLeaveDaysNotList(List<BigDecimal> breastfeedingLeaveDaysNotList){
        this.breastfeedingLeaveDaysNotList = breastfeedingLeaveDaysNotList;
        return this;
    }

    /**
     * 设置  丧假（天）
     * @param bereavementLeaveDays
     */
    public AttendanceVacationBalanceQuery bereavementLeaveDays(BigDecimal bereavementLeaveDays){
        setBereavementLeaveDays(bereavementLeaveDays);
        return this;
    }

    /**
     * 设置 开始 丧假（天）
     * @param bereavementLeaveDaysStart
     */
    public AttendanceVacationBalanceQuery bereavementLeaveDaysStart(BigDecimal bereavementLeaveDaysStart){
        this.bereavementLeaveDaysStart = bereavementLeaveDaysStart;
        return this;
    }

    /**
     * 设置 结束 丧假（天）
     * @param bereavementLeaveDaysEnd
     */
    public AttendanceVacationBalanceQuery bereavementLeaveDaysEnd(BigDecimal bereavementLeaveDaysEnd){
        this.bereavementLeaveDaysEnd = bereavementLeaveDaysEnd;
        return this;
    }

    /**
     * 设置 增加 丧假（天）
     * @param bereavementLeaveDaysIncrement
     */
    public AttendanceVacationBalanceQuery bereavementLeaveDaysIncrement(BigDecimal bereavementLeaveDaysIncrement){
        this.bereavementLeaveDaysIncrement = bereavementLeaveDaysIncrement;
        return this;
    }

    /**
     * 设置 丧假（天）
     * @param bereavementLeaveDaysList
     */
    public AttendanceVacationBalanceQuery bereavementLeaveDaysList(List<BigDecimal> bereavementLeaveDaysList){
        this.bereavementLeaveDaysList = bereavementLeaveDaysList;
        return this;
    }

    /**
     * 设置 丧假（天）
     * @param bereavementLeaveDaysNotList
     */
    public AttendanceVacationBalanceQuery bereavementLeaveDaysNotList(List<BigDecimal> bereavementLeaveDaysNotList){
        this.bereavementLeaveDaysNotList = bereavementLeaveDaysNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public AttendanceVacationBalanceQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public AttendanceVacationBalanceQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public AttendanceVacationBalanceQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public AttendanceVacationBalanceQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public AttendanceVacationBalanceQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public AttendanceVacationBalanceQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public AttendanceVacationBalanceQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public AttendanceVacationBalanceQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public AttendanceVacationBalanceQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public AttendanceVacationBalanceQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public AttendanceVacationBalanceQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public AttendanceVacationBalanceQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public AttendanceVacationBalanceQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public AttendanceVacationBalanceQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<AttendanceVacationBalanceQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<AttendanceVacationBalanceQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<AttendanceVacationBalanceQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<AttendanceVacationBalanceQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}